#!/bin/bash

# Not /bin/ksh OR /bin/sh compatible. bash is not default in OpenBSD

usage()
{
cat << EOF
usage: $0 options folder

This script starts the java gui with a spefied root folder.

OPTIONS:
   -h   show help
   -p   path
   -v   verbose/debug output
EOF
}

while getopts "hp:v" OPTION; do
  case $OPTION in
    h )  usage;exit 1;;
    p )  ROOT=$OPTARG;;
    v )  VERBOSE=1;;
    ? )  usage;exit 1;;
  esac
done

# Use pwd as root if not specified explicitely
if [ -z ${ROOT} ]; then
  ROOT="$PWD"
fi

/usr/bin/java -jar ../gui/SwingCVS/dist/SwingCVS.jar /Users/peterljung/Documents/Development/CVS/swingcvs/script "$ROOT"
